Bug 219779 - Deadlock: RepositoryForBinaryQueryImpl$SrcResult vs. PM.mutex
Deadlock: RepositoryForBinaryQueryImpl$SrcResult vs. PM.mutex
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: Milos Kleint
issues@projects
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 18:54 UTC by Jesse Glick
Modified: 2012-10-16 02:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (35.51 KB, text/plain)
2012-10-09 18:54 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-10-09 18:54:52 UTC
Created attachment 125648 [details]
Thread dump

20121002-931556ce6d80. Saving a private Maven project configuration. Looks like a standard lock ordering problem.
Comment 1 Milos Kleint 2012-10-15 14:32:11 UTC
http://hg.netbeans.org/core-main/rev/fceef742ff1f
Comment 2 Quality Engineering 2012-10-16 02:01:27 UTC
Integrated into 'main-golden', will be available in build *201210160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fceef742ff1f
User: Milos Kleint <mkleint@netbeans.org>
Log: #219779 prevent deadlock, avoid locking call to MFOQIml which calls ProjectManager.loadProject


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo